Skip to main content
GET
/
api
/
dashboard
/
inventory
List Inventory
curl --request GET \
  --url https://api.example.com/api/dashboard/inventory
{
  "items": [
    {
      "variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "variant_sku": "<string>",
      "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_name": "<string>",
      "product_image": "<string>",
      "variant_image": "<string>",
      "option1": "<string>",
      "option2": "<string>",
      "option3": "<string>",
      "inventory_quantity": 123,
      "low_stock_threshold": 123,
      "status": "<string>"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "pages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
limit
integer
default:20
Required range: 1 <= x <= 100
search
string | null
filter
string | null
Pattern: ^(low_stock|out_of_stock)$

Response

Successful Response

Schema for paginated inventory list.

items
InventoryItemResponse · object[]
required
total
integer
required
page
integer
required
limit
integer
required
pages
integer
required